####

load("obs.RData")
t.test(obs)

####

t<- t.test(obs)
names(t)

t$statistic

t$conf.int

plot(t)
####

#simulation
sm<-rnorm(10000000,0,1)
nm<-hist(sm,freq=FALSE,br=100)
observaciones <-sample(sm,10)
smmean<-rnorm(10000000,0,0.3)
nnmean<-hist(smmean,freq=FALSE,br=100)

#plot
plot(nnmean$density+0.5, nnmean$breaks[-1],lty=1,col="black",
type="l",xlim=c(0,2),ylab="y-respuesta",xlab="",xaxt="n",ylim=c(-5,5))

lines(nm$density+0.5,nm$breaks[-1],col="blue",lty=2,)

axis(1,at=c(0.5), labels=c("grupo nulo"))

points(rep(0.5, length(observaciones)), observaciones,col="blue",
pch="+" )

points(0.5,0,pch=19,cex=2,col="black")

legend("bottomright",c("observation","media"),lty=c(2,1),
col=c("blue","black"))

####

phenos<-read.table("phenosCont.txt",header=TRUE)
head(phenos)


control<-phenos$X1[phenos$caco==1]
caso<-phenos$X1[phenos$caco==0]
t.test(control,caso)

model<-lm(X1~caco,dat=phenos)

summary(model)
names(model)

####


pdf("plotBox.pdf")
 plot(phenos$pop,phenos$X2)
dev.off()

pdf("plotCont.pdf")
 plot(phenos$X1,phenos$X2)
dev.off()

####

model<-lm(X2~pop,dat=phenos)
model

summary(model)

####

anova(model)

####

model<-lm(X1~X2,dat=phenos)

####


model<-glm(caco~X2,dat=phenos, family="binomial")
summary(model)

####

genos<-read.table("datGenoNum.txt",header=TRUE)

####


table(genos$SNP91,phenos$caco)

prop.table(table(genos$SNP91,phenos$caco),2)

####

chisq.test(genos$SNP91,phenos$caco)

####

base<-read.table("phenosCont.txt",header=TRUE)
base2var<-base[,c(4,5)]
plot(base2var,xlim=c(-0.1,0.1),ylim=c(-0.1,0.1))
pc<-princomp(base2var)  
plot(pc$scores,xlim=c(-0.1,0.1),ylim=c(-0.1,0.1))

library(knitr)

####
#open minimal.Rnw 


knit("minimal.Rnw")

####

plot((1:10)^2)



